Ask / Submit
1

[BUG] wpa_supplicant Enterprise on Update9 opt-in do not work [answered]

asked 2014-10-23 19:31:09 +0300

Trizt gravatar image

Sadly we have got a regression with the wpa_supplicant and enterprise connections which are described in

https://together.jolla.com/question/315/wpa-8021x-enterprise-others-gui-wifi-support-needed-workaround

Having an configuration for a enterprise grade wps 8021x, you will make connman to crash and you will not be able to connect to any other network unless you reboot and stay away from the reach of the wpa 8021x network, until you have "forgotten" the wifi setting.

Restarting connman causes loss of 3G/4G/... so you are forced to reboot your phone if you want to be able to call or use network.

edit retag flag offensive reopen delete

The question has been closed for the following reason "the question is answered, an answer was accepted" by nthn
close date 2014-10-23 22:05:53.497660

2 Answers

Sort by » oldest newest most voted
1

answered 2014-10-23 19:33:57 +0300

Mariusmssj gravatar image

From TMO forum:

zlatko

@Mariusmssj, @gaelic Remove(or just rename) all manually created WPA2 Enterprise config files in /var/lib/connman/ then restart. A fix is coming soon for all us that Opted-in. This fix will be included in Updated10 for everyone. There will not be stable Update9 for normal users.

edit flag offensive delete publish link more

Comments

When can we expect update 10 for normal user. Is it possible that issues in Update 9 will be fixed in next update. Plz suggest whether I can go for Opt-in update or wait for update 10. 1)Why dont Jolla team keep settings either in right/left swipe after opening the Lock screen? 2)Also they can keep some applications on either Right/Left swipe on home page 3)These four swipes options should be customizable to the user.

Twinklestar1792 ( 2014-10-28 17:15:18 +0300 )edit
1

answered 2014-10-23 22:05:44 +0300

nthn gravatar image

It's not wpa_supplicant but connman, and the issue is known (and fixed) and an official patch will be released soon: https://together.jolla.com/question/59874/release-notes-opt-in-upgrade-to-software-version-11038-uitukka/?answer=60185#post-id-60185

edit flag offensive delete publish link more

Comments

"Soon" is a bit to vague for me, I would have needed it today, tomorrow... sure I have to blame myself for going for the opt-in version.

Trizt ( 2014-10-23 22:38:18 +0300 )edit

You can install this patched rpm if you want the problem gone already: http://repo.merproject.org/obs/home:/csslayer:/branches:/home:/tbr:/sailfish/latest_armv7hl/armv7hl/connman-1.24+git46+master.394.1.ga5393b5-10.6.1.jolla.armv7hl.rpm However please note that you might encounter troubles updating when the official patch is released, as there could be a version mismatch which you might have to manually resolve.

nthn ( 2014-10-23 22:43:00 +0300 )edit
1

@Trizt: The hotfix is now released. Hope it is still on time for your needs. https://together.jolla.com/question/60441/release-notes-hotfix-for-opt-in-update9-version-11039/

bijjal ( 2014-10-24 15:23:33 +0300 )edit

And: there are no problems updating if you were using that patched rpm. Hurray!

nthn ( 2014-10-24 17:24:49 +0300 )edit

Question tools

Follow
1 follower

Stats

Asked: 2014-10-23 19:31:09 +0300

Seen: 178 times

Last updated: Oct 23 '14